org.restlet.engine.http.header

## Class ChallengeRequestReader

- java.lang.Object
- - org.restlet.engine.http.header.HeaderReader<ChallengeRequest>
  - - org.restlet.engine.http.header.ChallengeRequestReader

    public class ChallengeRequestReader
    extends HeaderReader<ChallengeRequest>

Challenge request header reader.

Author:
  Thierry Boileau

### Constructor Summary

Constructors
Constructor and Description
`ChallengeRequestReader(java.lang.String header)` Constructor.

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`ChallengeRequest` `readValue()` Read the next value.

### Methods inherited from class org.restlet.engine.http.header.HeaderReader

`addValues, canAdd, createParameter, createParameter, mark, peek, read, readComment, readDate, readDigits, readHeader, readHeader, readParameter, readParameterValue, readQuotedString, readRawText, readRawValue, readToken, readValues, reset, skipParameterSeparator, skipSpaces, skipValueSeparator, unread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChallengeRequestReader

    public ChallengeRequestReader(java.lang.String header)

Constructor.

Parameters:
  `header` - The header to read.

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### readValue

    public ChallengeRequest readValue()
                               throws java.io.IOException

Description copied from class: `HeaderReader`
Read the next value. There can be multiple values for a single header.

Overrides:
  `readValue` in class `HeaderReader<ChallengeRequest>`
Returns:
  The next value.
Throws:
  `java.io.IOException`